import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';
import { c as cls } from './helpers.js';

const XTab = /*@__PURE__*/ proxyCustomElement(class XTab extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.active = undefined;
        this.disabled = undefined;
        this.label = undefined;
        this.icon = undefined;
        this.badge = undefined;
        this.index = undefined;
    }
    /**
     * Render element
     */
    render() {
        return h(Host, { key: 'f2c8f81b4c1a9fed5d4fe74d30d5104462bdb6f7', class: cls({ 'tab-disabled': this.disabled, 'tab-active': this.active }) }, h("slot", { key: '28dee8c5ba5f85be7809e26e8c3b15c95889632a' }));
    }
    get el() { return this; }
}, [4, "x-tab", {
        "active": [516],
        "disabled": [516],
        "label": [1],
        "icon": [1],
        "badge": [8],
        "index": [2]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["x-tab"];
    components.forEach(tagName => { switch (tagName) {
        case "x-tab":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, XTab);
            }
            break;
    } });
}

export { XTab as X, defineCustomElement as d };
